PDA

View Full Version : Savageworlds : )



Seran
May 13th, 2010, 18:01
I got myself the savageworlds ruleset.

What rule systems are compatible?

It'd be fun to run a deadlands campaign : )

Doswelk
May 13th, 2010, 19:10
These are available in the store (https://www.fantasygrounds.com/store/?sys=3&pub=-1&typ=-1&x=18&y=6&sort=1)

Also Necessary Evil (the original version - I'm still doing the SWEX one!), Hellfrost is coming as is Fantasy Companion (these I have converted but have not been checked yet!)

Shaintar was done but that was a full ruleset.

ddavison
May 18th, 2010, 06:33
Take a look at Sundered Skies as well. Proofing/editing that one peaked my interest pretty heavily.

Mask_of_winter
May 25th, 2010, 23:38
Interesting Doswelk!

In the store, add-ons like Necessary Evil are stated to be compatible with the v2 ruleset. How likely are they to work flawlessly with v3?

mac40k
May 28th, 2010, 00:38
'sup Mask!

There's no compatibility issues with setting rulesets that were created for FG Savage Worlds ruleset v2 working with the current v3 ruleset that I am aware of. However...

Although I don't have the NE package, I do have 50 Fathoms. As you may already know, settings that were originally created for SW v2 (the game, not the FG ruleset) have damage from melee attacks listed as a static bonus. SWEX uses an additional die. This makes for a fairly straightforward conversion where Str+1 = Str + d4, Str + 2 = Str + d6, etc. Now you can do like I did and edit the XML to change all the entries so that you can drag and drop entries from the book in your library to Personalities and have the NPC sheets be correct. Otherwise, you'll have to fix the entries manually in the program. Saved Personalities will be reusable obviously, but anytime you drag a copy from the ruleset, you'll have to fix it.

BTW, NE was just updated in book form to be compatible with SWEX, but AFAIK, the ruleset for FG2 is still the old version. The newer edition made some other changes besides just reconciling the damage values, but you can probably find a better summary over on the Pinnacle forums on the differences. Not sure what the intentions are for updating the FG version.

Mask_of_winter
May 28th, 2010, 02:41
Thanks Mac! Your answer was quite helpful.

I hope everything is ok on your end.

Yeah, I have the NE explorer's edition, so the +1 to d4 is not unknown to me. I will however have to figure out how to modify the xml file like you said.

My main concern was to buy a campaign extension and then having it crash in mid-game.

Doswelk
June 2nd, 2010, 05:43
Interesting Doswelk!

In the store, add-ons like Necessary Evil are stated to be compatible with the v2 ruleset. How likely are they to work flawlessly with v3?

Sorry not replying sooner (had no wifi access :( )

As has already been answered they all just work.

the only real differences (apart from the damage dice), is that toughness was only shown as the total number including armor, the 3.1 ruleset allows us to put 10 (3) for example.

Be sure to add the really cool unofficial patches and the powers extensions these fix minor issues and enhance the powers tab!